#ifdef GL_ES
precision mediump int;
precision mediump float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

SAMPLER2D(LeftTex, 0);
SAMPLER2D(RightTex, 1);

OGRE_UNIFORMS(
uniform vec4 leftMask;
uniform vec4 rightMask;
)

MAIN_PARAMETERS
IN(vec2 uv, TEXCOORD0)
MAIN_DECLARATION
{
  vec4 left = texture2D(LeftTex, uv);
	vec4 right = texture2D(RightTex, uv);
	
	gl_FragColor = left * leftMask + right * rightMask;
}
