#ifdef GL_ES
precision mediump int;
precision mediump float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

SAMPLER2D(LeftTex, 0);
SAMPLER2D(RightTex, 1);

MAIN_PARAMETERS
IN(vec2 uv, TEXCOORD0)
MAIN_DECLARATION
{
  if(uv.x <= 0.5)
  {
    gl_FragColor = texture2D(LeftTex, vec2(uv.x * 2.0, uv.y));
  }
  else
  {
    gl_FragColor = texture2D(RightTex, vec2((uv.x - 0.5) * 2.0, uv.y));
  }
}
