#ifdef GL_ES
precision mediump int;
precision mediump float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

SAMPLER2D(RT, 0);

MAIN_PARAMETERS
IN(vec2 oUv0, TEXCOORD0)
MAIN_DECLARATION
{
  vec4 Color;
  Color.a = 1.0;
  Color.rgb = vec3_splat(0.5);
  Color -= texture2D(RT, oUv0 - vec2_splat(0.001)) * vec4_splat(2.0);
  Color += texture2D(RT, oUv0 + vec2_splat(0.001)) * vec4_splat(2.0);
  Color.rgb = vec3((Color.r + Color.g + Color.b) / vec3_splat(3.0));
  gl_FragColor = Color;
}
