#ifdef GL_ES
precision mediump int;
precision mediump float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

SAMPLER2D(RT, 0);
SAMPLER2D(NormalMap, 1);

MAIN_PARAMETERS
IN(vec2 oUv0, TEXCOORD0)
MAIN_DECLARATION
{
  vec2 normal = vec2_splat(2.0) * (texture2D(NormalMap, oUv0 * vec2_splat(2.0)).xy - vec2_splat(0.5));
  gl_FragColor = texture2D(RT, oUv0 + (normal * vec2_splat(0.05)));
}