#ifdef GL_ES
precision mediump int;
precision highp float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
uniform mat4 uWorld;
uniform mat4 uWorldViewProj;
)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION)
IN(vec2 uv0, TEXCOORD0)
OUT(vec3 oPos, TEXCOORD0)
MAIN_DECLARATION
{
  gl_Position = mul(uWorldViewProj, vertex);  
  vec4 wp = mul(uWorld, vertex);
  oPos = wp.xyz;
}