#ifdef GL_ES
precision highp int;
precision highp float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
uniform mat4 worldViewProj;
uniform vec4 ambient;
)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION)
OUT(vec4 oColour, TEXCOORD0)
MAIN_DECLARATION
{
  gl_Position = mul(worldViewProj, vertex);
	oColour = ambient;
}
