#ifdef GL_ES
precision mediump int;
precision highp float;
#endif

#define USE_OGRE_FROM_FUTURE
#include <OgreUnifiedShader.h>

SAMPLER2D(diffuseMap, 0);

OGRE_UNIFORMS(
uniform float opacity;
)

MAIN_PARAMETERS
IN(vec2 oUv0, TEXCOORD0)
MAIN_DECLARATION
{
	vec4 diffuseTex = texture2D(diffuseMap, oUv0);
  diffuseTex.w *= opacity;
	gl_FragColor = diffuseTex;
}